%define modname rsync
%define dirname %{modname}
%define soname %{modname}.so
%define inifile %{modname}.ini

Summary:	Wrapper for librsync library
Name:		php-pecl-%{modname}
Version:	0.1.0
Release:	1.beta0%{?dist}
Group:		Development/PHP
License:	Modified BSD License
URL:		http://pecl.php.net/package/rsync/
Source0:	http://pecl.php.net/get/rsync-%{version}.tgz
Source1:	%{inifile}
BuildRequires:	php-devel >= 5.2.0
BuildRequires:	librsync-devel >= 0.9.7
BuildRequires:	popt
BuildRequires:	bzip2-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
include the posibility to php to generate signatur files, patches and patch
files with the rsync functionality.

%prep

%setup -q -n %{modname}-%{version}

cp %{SOURCE1} %{inifile}

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" config.m4

chmod 644 LICENSE rsync_extension.php examples/*.php

%build

phpize
%configure --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}
make
mv modules/*.so .

%install
rm -rf %{buildroot} 

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}

%post
if [ -f /var/lock/subsys/httpd ]; then
    %{_initrddir}/httpd restart >/dev/null || :
fi

%postun
if [ "$1" = "0" ]; then
    if [ -f /var/lock/subsys/httpd ]; then
	%{_initrddir}/httpd restart >/dev/null || :
    fi
fi

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE rsync_extension.php examples/*.php
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}



%changelog
* Thu Nov 29 2012 Daniel Berteaud <daniel@firewall-services.com> 0.1.0-1
- rebuild for EL

* Wed Aug 24 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2011.0
+ Revision: 696464
- rebuilt for php-5.3.8

* Fri Aug 19 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2
+ Revision: 695459
- rebuilt for php-5.3.7

* Tue Jun 07 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1
+ Revision: 683087
- fix deps
- silly typo
- fix build
- import php-rsync


* Tue Jun 07 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2010.2
- initial Mandriva package
